# E0373: mistyped strict inequality operator

While `x! == y` is legal TypeScript for a non-null assertion, it may be a typo for a strict inequality, as in `x !== y`:

```typescript
let x = 17;
let y = 38;
if (x! == y) {
    alert('Not equal!');
}
```

To fix the warning, replace `! ==` with ` !==`:

```typescript
let x = 17;
let y = 38;
if (x !== y) {
  alert("Not equal!");
}
```
